Home | All Classes | Grouped Classes | Index | Search

# Class CL_XMLTokenLoad

XML token in a XML file. More...

Derived from: CL_XMLToken
Derived by: none
Group: Core (XML)

#include <ClanLib/core.h>

Construction:

CL_XMLTokenLoad |

Attributes:

get_type | Returns the token type.
get_variant | Returns the token variant.
get_name | Returns the name of the token.
get_value | Returns the value of the token.
get_attributes_number | Returns number of attributes.
get_attribute | Returns the attribute name and value for attribute with specified index.
get_attribute_fast |

Operations:

set_type | Sets the type of the token.
set_variant | Sets if token ends with a slash.
set_name | Sets the name of the token.
set_value | Sets the value of the token.
set_attribute | Attaches attribute to token.

Detailed description:

!group=Core/XML! !header=core.h!
Questions or comments, write to the ClanLib mailing list.